## epiphany-browser 3.18.5

=== debian/changelog ===
epiphany-browser (3.18.5-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merge with Debian, remaining Ubuntu changes: (LP: #1556996)
  * debian/patches/07_bookmarks.patch:
    - Add Ubuntu-specific default bookmarks, borrowed from Firefox
  * debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
    - Update the bookmarks menu every time the internal structure
      is changed (needed for the indicator application menu to work
      correctly).
  * debian/patches/ubuntu_titlebars.patch:
    - Use traditional titlebars for non-GNOME sessions

 -- Tim Lunn <tim@feathertop.org>  Wed, 16 Mar 2016 08:02:23 +1100

epiphany-browser (3.18.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop epiphany-browser-dbg now that we have automatic dbgsym packages.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Feb 2016 15:53:49 +0100

epiphany-browser (3.18.3-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Refresh debian/patches/00_epiphany-browser.patch.

 -- Tim Lunn <tim@feathertop.org>  Wed, 13 Jan 2016 10:18:57 +1100

epiphany-browser (3.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/00_epiphany-browser.patch.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Dec 2015 21:54:32 +0100

epiphany-browser (3.18.1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes: (LP: #1510686)
  * debian/patches/07_bookmarks.patch:
    - Add Ubuntu-specific default bookmarks, borrowed from Firefox
  * debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
    - Update the bookmarks menu every time the internal structure
      is changed (needed for the indicator application menu to work
      correctly).
  * debian/patches/ubuntu_titlebars.patch:
    - Use traditional titlebars for non-GNOME sessions

 -- Tim Lunn <tim@feathertop.org>  Sat, 05 Dec 2015 11:01:44 +1100

epiphany-browser (3.18.1-1) unstable; urgency=medium

  [ Jérémy Lal ]
  * Fix reproducible build by avoiding changing original file (Closes: #801446)
    - alter sed commands in debian/rules to produce result directly

  [ Andreas Henriksson ]
  * Drop duplication of input file in above change as spotted by Michael Biebl.

  [ Michael Biebl ]
  * New upstream release.
  * Refresh debian/patches/00_epiphany-browser.patch.
  * Stop using DEB_BUILDDIR in debian/rules, it's a leftover from the times we
    built multiple flavours.

 -- Michael Biebl <biebl@debian.org>  Fri, 20 Nov 2015 19:18:47 +0100

epiphany-browser (3.18.0-1ubuntu2) xenial; urgency=medium

  * No-change rebuild against new gnome libraries

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 02 Nov 2015 15:37:17 +0000

epiphany-browser (3.18.0-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes: (LP: #1510686)
  * debian/patches/07_bookmarks.patch:
    - Add Ubuntu-specific default bookmarks, borrowed from Firefox
  * debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
    - Update the bookmarks menu every time the internal structure
      is changed (needed for the indicator application menu to work
      correctly).
  * debian/patches/ubuntu_titlebars.patch:
    - Use traditional titlebars for non-GNOME sessions

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 29 Oct 2015 09:37:23 +1300

epiphany-browser (3.18.0-1) unstable; urgency=medium

  [ Josselin Mouette ]
  * Remove Debian menu entry.

  [ Michael Biebl ]
  * New upstream release.
  * Refresh patches.
  * Update Build-Depends as per configure.ac:
    - Bump libwebkit2gtk-4.0-dev to (>= 2.9.5)
    - Add appstream-util

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Oct 2015 22:37:58 +0200

epiphany-browser (3.10.1-2) xenial; urgency=low

  * debian/rules:
    + Rename epiphany.desktop to epiphany-browser.desktop again,
      accidentally removed in 3.8.2-2 while removing epiphany-newtab.desktop.
  * debian/patches/00_epiphany-browser.patch:
    + Don't change the prgname when running in webapp mode.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 04 Dec 2013 16:07:50 +0100

epiphany-browser (2.24.3-2) xenial; urgency=low

  * Fix .pc file by hand so that extensions build correctly.
  * 10_smart_bookmarks.patch: fix crash introduced by the patch because 
    the text is not checked for NULLity. Closes: #516286.

 -- Josselin Mouette <joss@debian.org>  Tue, 17 Feb 2009 18:29:06 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: epiphany-browser
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.90),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.10),
               pkg-config,
               libglib2.0-dev (>= 2.38),
               libgtk-3-dev (>= 3.13.0),
               libxml2-dev (>= 2.6.12),
               libxslt1-dev (>= 1.1.7),
               libgnome-keyring-dev (>= 2.26.0),
               libsoup-gnome2.4-dev (>= 2.48.0),
               libgnome-desktop-3-dev (>= 3.10),
               libgcr-3-dev (>= 3.5.5),
               libavahi-gobject-dev (>= 0.6.22),
               libavahi-client-dev (>= 0.6.22),
               libsqlite3-dev,
               libnss3-dev,
               libnotify-dev (>= 0.5.1),
               libxml-parser-perl,
               libwebkit2gtk-4.0-dev (>= 2.9.5),
               libsecret-1-dev (>= 0.14),
               libwnck-3-dev,
               gnome-common (>= 3.6),
               lsb-release,
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.10.7-1~),
               iso-codes (>= 0.35),
               intltool (>= 0.50.0),
               x11proto-core-dev,
               gtk-doc-tools (>= 1.0),
               gsettings-desktop-schemas-dev (>= 0.0.1),
               yelp-tools,
               appstream-util
Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
Standards-Version: 3.9.7
Homepage: https://wiki.gnome.org/Apps/Web
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/epiphany-browser/
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/epiphany-browser/

Package: epiphany-browser
Architecture: any
Depends: epiphany-browser-data (>= ${gnome:Version}),
         epiphany-browser-data (<< ${gnome:NextVersion}),
         ${shlibs:Depends},
         gnome-icon-theme (>= 2.9.90),
         gnome-icon-theme-symbolic,
         dbus-x11,
         iso-codes,
         gsettings-desktop-schemas,
         ${misc:Depends}
Conflicts: swfdec-mozilla,
           epiphany-extensions (<< 3.7.91)
Replaces: epiphany-browser-data (<< 3.14.1-1)
Recommends: yelp,
            evince,
            ca-certificates
Breaks: epiphany-browser-data (<< 3.14.1-1),
        geoclue-2.0 (<< 2.1.9-2)
Provides: www-browser, gnome-www-browser
Description: Intuitive GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 Simplicity is achieved by a well designed user interface and reliance
 on external applications for performing external tasks (such as reading
 email). Simplicity does not mean less features; Epiphany has everything
 a modern web browser is expected to have.
 .
 Standards compliance is achieved on the HTML side by using the
 WebKitGTK+ rendering engine (which is based on the engine used by
 Apple Safari and Google Chrome); and on the user interface side by
 closely following the GNOME Human Interface Guidelines (HIG) and by
 close integration with the GNOME desktop.

Package: epiphany-browser-data
Architecture: all
Depends: ${misc:Depends}
Recommends: epiphany-browser
Description: Data files for the GNOME web browser
 Epiphany is a simple yet powerful GNOME web browser targeted at
 non-technical users. Its principles are simplicity and standards
 compliance.
 .
 This package contains the common files, artwork and translations for
 Epiphany.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := epiphany

LDFLAGS += -Wl,-O1 -Wl,--as-needed

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
DEB_DH_INSTALL_ARGS := --list-missing

DEB_CONFIGURE_EXTRA_FLAGS += \
		--with-distributor-name=$(shell lsb_release -is)

binary-post-install/epiphany-browser::
	cd debian/epiphany-browser/usr/bin \
		&& mv epiphany-browser.sh epiphany-browser

binary-post-install/epiphany-browser-data::
	sed -e s/@PACKAGEVERSION@/$(DEB_VERSION)/ \
	    -e s/@DISTROID@/`lsb_release -is`/ \
	    -e s/@DISTROVERSION@/`lsb_release -rs`/ \
	    debian/branding.conf.in > debian/epiphany-browser-data/usr/share/epiphany-browser/branding.conf

=== debian/watch ===
version=3
http://download.gnome.org/sources/epiphany/([\d\.]+[02468])/ \
	epiphany-(.*)\.tar\.xz

## epiphany-browser 3.18.11

=== debian/changelog ===
epiphany-browser (3.18.11-0ubuntu1) xenial-security; urgency=medium

  * SECURITY UPDATE: Saved passwords were viewable by a man-in-the-middle
    attack website. This has been mitigated by moving all existing saved
    http passwords to https. If a website you use is http-only, you can
    find your old password in Preferences>Privacy>Manage Passwords.
    - Fixed in new upstream security release 3.18.11 (LP: #1661805)
      + New upstream release also fixes inability to enter text in
        websites, a regression introduced in 3.18.10 (LP: #1668704)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 19 Mar 2017 18:24:58 -0400

epiphany-browser (3.18.10-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release (LP: #1657284)
  * Drop debian/patches/new_webkit_abi.patch, applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 17 Jan 2017 16:46:15 -0500

epiphany-browser (3.18.5-0ubuntu1.1) xenial-security; urgency=medium

  * debian/patches/new_webkit_abi.patch: fix compatibility with newer
    WebKitGTK+.
  * debian/control*: bump libwebkit2gtk-4.0-dev to (>= 2.13.2).

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Jan 2017 09:33:49 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.90),
                dh-autoreconf,
@@ -27,7 +27,7 @@
                libnss3-dev,
                libnotify-dev (>= 0.5.1),
                libxml-parser-perl,
-               libwebkit2gtk-4.0-dev (>= 2.9.5),
+               libwebkit2gtk-4.0-dev (>= 2.13.2),
                libsecret-1-dev (>= 0.14),
                libwnck-3-dev,
                gnome-common (>= 3.6),

## epiphany-browser 3.18.11-0ubuntu1%2B8.0trisquel1

=== debian/changelog ===
epiphany-browser (3.18.11-0ubuntu1+8.0trisquel1) flidas-security; urgency=medium

  * Epiphany browser compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 27 Oct 2017 16:21:05 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                cdbs (>= 0.4.90),
                dh-autoreconf,

## epiphany-browser 3.22.0

=== debian/changelog ===
epiphany-browser (3.22.0-1ubuntu2) yakkety; urgency=medium

  * Restore ubuntu_search.patch accidentally dropped in last upload.
    Thanks Laney for noticing!
    - Use Ubuntu parameters for default search providers

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 29 Sep 2016 14:23:48 -0400

epiphany-browser (3.22.0-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian (LP: #1625897), remaining Ubuntu changes:
    - debian/patches/07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox
    - debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
      + Update the bookmarks menu every time the internal structure
        is changed (needed for the indicator application menu to work
        correctly).
    - debian/patches/ubuntu_titlebars.patch:
      + Use traditional titlebars for non-GNOME sessions

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 29 Sep 2016 09:45:06 -0400

epiphany-browser (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/00_epiphany-browser.patch.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 01:16:46 +0200

epiphany-browser (3.21.92-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Bump dh compat to 10
  * debian/control.in:
    - Build-depend on autoconf-archive instead of gnome-common

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Sep 2016 18:36:21 +0200

epiphany-browser (3.21.90-1) experimental; urgency=medium

  * New upstream release.
  * Drop Build-Depends on libgnome-keyring-dev, replaced by libsecret a long
    time ago.
  * Update Build-Depends as per configure.ac:
    - Drop libwnck-3-dev and libnss3-dev.
    - Bump libwebkit2gtk-4.0-dev to (>= 2.13.2).
  * Refresh debian/patches/00_epiphany-browser.patch.
  * Depend on default-dbus-session-bus | dbus-session-bus instead of
    dbus-x11. (Closes: #835878)

 -- Michael Biebl <biebl@debian.org>  Tue, 06 Sep 2016 17:08:38 +0200

epiphany-browser (3.20.3-2) unstable; urgency=medium

  * debian/rules: Fix FTBFS when building arch:all or arch:any pkgs only
  * debian/rules: Enable all hardening options

 -- Laurent Bigonville <bigon@debian.org>  Wed, 06 Jul 2016 12:53:53 +0200

epiphany-browser (3.20.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/00_epiphany-browser.patch.
  * Stop symlinking the upstream changelog.
  * Install the upstream documentation files in the epiphany-browser binary
    package, not ephiphany-browser-data. This is less space efficient as we
    store multiple copies for every architecture in the Debian archive, but
    users typically expect to find the documentation in the main package.
  * Convert from cdbs to dh.

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Jun 2016 00:32:05 +0200

epiphany-browser (3.20.2-2) unstable; urgency=medium

  * debian/control.in: Drop gnome-icon-theme from the dependencies, do not
    force an icon theme and rely on the one installed by the metapackages

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jun 2016 01:35:49 +0200

epiphany-browser (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, use https:// in debian/patches/07_bookmarks.patch where
    available.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 13:27:54 +0200

epiphany-browser (3.20.1-2) unstable; urgency=medium

  * debian/control.in: Recommend browser-plugin-evince, it allows epiphany to
    display documents (PDF, PS, …) directly.
  * Drop debian/epiphany-browser.preinst: All the cleanups made in that
    maintainer script predate wheezy.
  * Drop debian/epiphany-browser.bug-control: not needed anymore, it reference
    a package that doesn't exist for a long time.
  * Drop debian/patches/10_smart_bookmarks.patch: Not applied for a long time

 -- Laurent Bigonville <bigon@debian.org>  Fri, 22 Apr 2016 18:28:41 +0200

epiphany-browser (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/12_safetypes.patch, merged upstream.
  * Update Build-Depends as per configure.ac:
    - Bump libglib2.0-dev to (>= 2.44.0).
    - Bump libgtk-3-dev to (>= 3.19.1).
    - Bump libwebkit2gtk-4.0-dev to (>= 2.11.4).

 -- Michael Biebl <biebl@debian.org>  Mon, 18 Apr 2016 15:48:02 +0200

epiphany-browser (3.18.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop debian/epiphany-browser-dbg.links, no longer needed.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Mar 2016 10:51:37 +0100

epiphany-browser (3.18.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Jan 2016 22:31:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,30 +7,25 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               cdbs (>= 0.4.90),
-               dh-autoreconf,
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: autoconf-archive,
+               debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
                pkg-config,
-               libglib2.0-dev (>= 2.38),
-               libgtk-3-dev (>= 3.13.0),
+               libglib2.0-dev (>= 2.44.0),
+               libgtk-3-dev (>= 3.19.1),
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
-               libgnome-keyring-dev (>= 2.26.0),
                libsoup-gnome2.4-dev (>= 2.48.0),
                libgnome-desktop-3-dev (>= 3.10),
                libgcr-3-dev (>= 3.5.5),
                libavahi-gobject-dev (>= 0.6.22),
                libavahi-client-dev (>= 0.6.22),
                libsqlite3-dev,
-               libnss3-dev,
                libnotify-dev (>= 0.5.1),
                libxml-parser-perl,
                libwebkit2gtk-4.0-dev (>= 2.13.2),
                libsecret-1-dev (>= 0.14),
-               libwnck-3-dev,
-               gnome-common (>= 3.6),
                lsb-release,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.10.7-1~),
@@ -42,7 +37,7 @@
                yelp-tools,
                appstream-util
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Web
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/epiphany-browser/
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/epiphany-browser/
@@ -52,9 +47,7 @@
 Depends: epiphany-browser-data (>= ${gnome:Version}),
          epiphany-browser-data (<< ${gnome:NextVersion}),
          ${shlibs:Depends},
-         gnome-icon-theme (>= 2.9.90),
-         gnome-icon-theme-symbolic,
-         dbus-x11,
+         default-dbus-session-bus | dbus-session-bus,
          iso-codes,
          gsettings-desktop-schemas,
          ${misc:Depends}
@@ -63,6 +56,7 @@
 Replaces: epiphany-browser-data (<< 3.14.1-1)
 Recommends: yelp,
             evince,
+            browser-plugin-evince,
             ca-certificates
 Breaks: epiphany-browser-data (<< 3.14.1-1),
         geoclue-2.0 (<< 2.1.9-2)

## epiphany-browser 3.22.6

=== debian/changelog ===
epiphany-browser (3.22.6-0ubuntu1) yakkety-security; urgency=medium

  * SECURITY UPDATE: Saved passwords were viewable by a man-in-the-middle
    attack website. This has been mitigated by moving all existing saved
    http passwords to https. If a website you use is http-only, you can
    find your old password in Preferences>Privacy>Manage Passwords.
    - Fixed in new upstream security release 3.22.6 (LP: #1661805)
      + New upstream release also fixes adblocker being too aggressive
        and breaking Twitter

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 19 Mar 2017 18:46:17 -0400

epiphany-browser (3.22.5-0ubuntu0.1) yakkety; urgency=medium

  * New upstream bugfix release (LP: #1657258)
  * Bump Build-Depends on libwebkit2gtk-4.0-dev to (>= 2.14.2) as per
    configure.ac.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 17 Jan 2017 16:36:59 -0500

## epiphany-browser 3.22.7

=== debian/changelog ===
epiphany-browser (3.22.7-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 19 Mar 2017 23:08:09 +0100

epiphany-browser (3.22.6-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Feb 2017 21:20:17 +0100

epiphany-browser (3.22.5-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Jan 2017 08:32:45 +0100

epiphany-browser (3.22.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 31 Dec 2016 19:03:32 +0100

epiphany-browser (3.22.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/00_epiphany-browser.patch.

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Nov 2016 07:44:25 +0100

epiphany-browser (3.22.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/00_epiphany-browser.patch.
  * Bump Build-Depends on libwebkit2gtk-4.0-dev to (>= 2.14.2) as per
    configure.ac.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 00:31:08 +0100

epiphany-browser (3.22.1-2) unstable; urgency=medium

  * Tighten dependency between epiphany-browser and epiphany-browser-data.
    The GSettings schema and the epiphany-browser binary must not become out
    of sync. (Closes: #841082)

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Oct 2016 17:18:56 +0200

epiphany-browser (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Oct 2016 16:57:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: autoconf-archive,
                debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
@@ -24,7 +23,7 @@
                libsqlite3-dev,
                libnotify-dev (>= 0.5.1),
                libxml-parser-perl,
-               libwebkit2gtk-4.0-dev (>= 2.13.2),
+               libwebkit2gtk-4.0-dev (>= 2.14.2),
                libsecret-1-dev (>= 0.14),
                lsb-release,
                gobject-introspection (>= 0.9.12-4~),
@@ -44,8 +43,7 @@
 
 Package: epiphany-browser
 Architecture: any
-Depends: epiphany-browser-data (>= ${gnome:Version}),
-         epiphany-browser-data (<< ${gnome:NextVersion}),
+Depends: epiphany-browser-data (= ${source:Version}),
          ${shlibs:Depends},
          default-dbus-session-bus | dbus-session-bus,
          iso-codes,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

GNOME_MODULE := epiphany

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib/epiphany-browser \
		--with-distributor-name=$(shell lsb_release -is)

override_dh_install-arch:
	dh_install -a --list-missing
	cd debian/epiphany-browser/usr/bin \
		&& mv epiphany-browser.sh epiphany-browser

override_dh_install-indep:
	dh_install -i --list-missing
	sed -e s/@PACKAGEVERSION@/$(DEB_VERSION)/ \
	    -e s/@DISTROID@/`lsb_release -is`/ \
	    -e s/@DISTROVERSION@/`lsb_release -rs`/ \
	    debian/branding.conf.in > debian/epiphany-browser-data/usr/share/epiphany-browser/branding.conf

override_dh_auto_test:

## epiphany-browser 3.24.1

=== debian/changelog ===
epiphany-browser (3.24.1-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1681535)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Apr 2017 15:07:22 -0400

epiphany-browser (3.24.0-0ubuntu2) zesty; urgency=medium

  * Recommend libwebkit2gtk-4.0-37-gtk2 for Flash support
    (webkit2gtk 2.16.1-1 no longer recommends the gtk2 library)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Apr 2017 14:01:28 -0400

epiphany-browser (3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 19 Mar 2017 19:53:31 -0400

epiphany-browser (3.23.92-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 11 Mar 2017 14:26:14 -0500

epiphany-browser (3.23.91.1-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum webkit2gtk to 2.15.90 and gdk-pixbuf to 2.36.5
  * Drop ubuntu_search.patch: Obsolete
  * Add add_new_window_action.patch:
    - Add 'New Window' action for Unity (LP: #940783)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Feb 2017 21:14:03 -0500

epiphany-browser (3.23.90-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2017 19:52:13 -0500

epiphany-browser (3.23.5-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-depend on webkit2gtk 2.15.4 and glib 2.46
    - Build-depend on libjson-glib-dev
    - Drop obsolete build-depends:
      avahi, x11proto-core and gsettings-desktop-schemas
  * debian/copyright:
    - Epiphany is now GPL-3+ instead of GPL-2+
  * debian/epiphany-browser.install:
    - Don't try to install removed web-extensions library
  * debian/epiphany-browser-data.install:
    - Install app icons
    - mime-types-permissions.xml was moved into the gresource file
    - gconf conversion file was dropped in new version
  * Refresh patches
  * Drop 81_ubuntu_force_update_bookmarks_menu.patch:
    - This was for an Ubuntu Netbook Edition-specific issue
      (LP: #605520) and isn't needed any more

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Feb 2017 20:07:23 -0500

epiphany-browser (3.22.6-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox
    - debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
      + Update the bookmarks menu every time the internal structure
        is changed (needed for the indicator application menu to work
        correctly).
    - debian/patches/ubuntu_titlebars.patch:
      + Use traditional titlebars for non-GNOME sessions
    - debian/patches/ubuntu_search.patch:
      + Use Ubuntu parameters for default search providers

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 05 Feb 2017 17:12:00 +0530

epiphany-browser (3.22.5-1ubuntu1) zesty; urgency=medium

  * Merge with Debian (LP: #1657258). Remaining Ubuntu changes:
    - debian/patches/07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox
    - debian/patches/81_ubuntu_force_update_bookmarks_menu.patch:
      + Update the bookmarks menu every time the internal structure
        is changed (needed for the indicator application menu to work
        correctly).
    - debian/patches/ubuntu_titlebars.patch:
      + Use traditional titlebars for non-GNOME sessions
    - debian/patches/ubuntu_search.patch:
      + Use Ubuntu parameters for default search providers

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 17 Jan 2017 16:19:10 -0500

=== debian/control ===
--- 
+++ 
@@ -5,34 +5,33 @@
 Source: epiphany-browser
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: autoconf-archive,
                debhelper (>= 10),
                gnome-pkg-tools (>= 0.10),
                pkg-config,
-               libglib2.0-dev (>= 2.44.0),
+               libgdk-pixbuf2.0-dev (>= 2.36.5),
+               libglib2.0-dev (>= 2.46.0),
                libgtk-3-dev (>= 3.19.1),
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
                libsoup-gnome2.4-dev (>= 2.48.0),
                libgnome-desktop-3-dev (>= 3.10),
                libgcr-3-dev (>= 3.5.5),
-               libavahi-gobject-dev (>= 0.6.22),
-               libavahi-client-dev (>= 0.6.22),
                libsqlite3-dev,
+               libjson-glib-dev (>= 1.2.0),
                libnotify-dev (>= 0.5.1),
                libxml-parser-perl,
-               libwebkit2gtk-4.0-dev (>= 2.14.2),
+               libwebkit2gtk-4.0-dev (>= 2.15.90),
                libsecret-1-dev (>= 0.14),
                lsb-release,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.10.7-1~),
                iso-codes (>= 0.35),
                intltool (>= 0.50.0),
-               x11proto-core-dev,
                gtk-doc-tools (>= 1.0),
-               gsettings-desktop-schemas-dev (>= 0.0.1),
                yelp-tools,
                appstream-util
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
@@ -55,7 +54,8 @@
 Recommends: yelp,
             evince,
             browser-plugin-evince,
-            ca-certificates
+            ca-certificates,
+            libwebkit2gtk-4.0-37-gtk2
 Breaks: epiphany-browser-data (<< 3.14.1-1),
         geoclue-2.0 (<< 2.1.9-2)
 Provides: www-browser, gnome-www-browser

## epiphany-browser 3.26.1

=== debian/changelog ===
epiphany-browser (3.26.1-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining change:
    - Modify 07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox
  * Drop ubuntu_titlebars.patch (LP: #1719322)
    + Use traditional titlebars for non-GNOME sessions

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 30 Sep 2017 10:20:38 -0400

epiphany-browser (3.26.1-1) unstable; urgency=medium

  * New upstream release
  * Drop git_fix-url-bar-lag.patch: Applied in new release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 30 Sep 2017 09:30:35 -0400

epiphany-browser (3.26.0-2) unstable; urgency=medium

  * Add git_fix-url-bar-lag.patch:
    - Fix lag when typing in URL bar (Closes: #875826) (LP: #1719043)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 25 Sep 2017 18:45:48 -0400

3piphany-browser (3.26.0-1ubuntu2) artful; urgency=medium

  * Add git_fix-url-bar-lag.patch:
    - Fix lag when typing in URL bar (Closes: #875826) (LP: #1719043)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 25 Sep 2017 18:48:09 -0400

epiphany-browser (3.26.0-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - Modify 07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox
    - Add ubuntu_titlebars.patch:
      + Use traditional titlebars for non-GNOME sessions

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Sep 2017 15:18:44 -0400

epiphany-browser (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Sep 2017 05:52:56 -0400

epiphany-browser (3.25.92-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Bump libgtk-3-dev build-dep to 3.22.13

  [ Jeremy Bicha ]
  * New upstream release
  * Build with meson
  * debian/control.in:
    - Bump glib2.0 to >= 2.46.0 and webkit2gtk to >= 2.17.4
    - Build-depend on libnettle-dev
    - Build-depend on xauth and xvfb for build tests
  * Add disable-tests.patch:
    - Disable the tests that require compiled gsettings schemas
  * debian/rules:
    - Run the remaining build tests
  * Add dont-make-compulsory.patch:
    - Allow uninstalling this app from the GNOME Software app
  * Rebase 00_epiphany-browser.patch

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 03 Sep 2017 13:26:58 -0400

epiphany-browser (3.24.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright:
    - Epiphany is now GPL-3+ instead of GPL-2+
  * debian/control.in:
    - Bump minimum webkit2gtk to 2.15.90
    - Bump minimum gdk-pixbuf to 2.36.5 and glib to 2.46
    - Build-depend on libjson-glib-dev
    - Drop obsolete build-depends:
      avahi, x11proto-core and gsettings-desktop-schemas
    - Recommend libwebkit2gtk-4.0-37-gtk for Flash (Closes: #858839)
  * debian/epiphany-browser.install:
    - Don't try to install removed web-extensions library
  * debian/epiphany-browser-data.install:
    - Install app icons
    - mime-types-permissions.xml was moved into the gresource file
    - gconf conversion file was dropped in new version
  * Refresh patches
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 14:31:09 -0400

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,13 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
-Build-Depends: autoconf-archive,
-               debhelper (>= 10),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10.3~),
                gnome-pkg-tools (>= 0.10),
                pkg-config,
                libgdk-pixbuf2.0-dev (>= 2.36.5),
-               libglib2.0-dev (>= 2.46.0),
-               libgtk-3-dev (>= 3.19.1),
+               libglib2.0-dev (>= 2.52.0),
+               libgtk-3-dev (>= 3.22.13),
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
                libsoup-gnome2.4-dev (>= 2.48.0),
@@ -22,20 +21,23 @@
                libgcr-3-dev (>= 3.5.5),
                libsqlite3-dev,
                libjson-glib-dev (>= 1.2.0),
+               nettle-dev (>= 3.2),
                libnotify-dev (>= 0.5.1),
                libxml-parser-perl,
-               libwebkit2gtk-4.0-dev (>= 2.15.90),
+               libwebkit2gtk-4.0-dev (>= 2.17.4),
                libsecret-1-dev (>= 0.14),
                lsb-release,
+               meson (>= 0.37.0),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.10.7-1~),
                iso-codes (>= 0.35),
-               intltool (>= 0.50.0),
+               itstool,
                gtk-doc-tools (>= 1.0),
-               yelp-tools,
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
                appstream-util
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://wiki.gnome.org/Apps/Web
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/epiphany-browser/
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/epiphany-browser/

=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,12 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
 %:
-	dh $@ --with gnome
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	dh $@ --with gnome --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libdir=/usr/lib \
-		--libexecdir=/usr/lib/epiphany-browser \
-		--with-distributor-name=$(shell lsb_release -is)
+		--libexecdir=/usr/lib \
+		-Ddistributor-name=$(shell lsb_release -is)
 
 override_dh_install-arch:
 	dh_install -a --list-missing
@@ -32,3 +28,4 @@
 	    debian/branding.conf.in > debian/epiphany-browser-data/usr/share/epiphany-browser/branding.conf
 
 override_dh_auto_test:
+	xvfb-run -a dh_auto_test

## epiphany-browser 3.28.1

=== debian/changelog ===
epiphany-browser (3.28.1-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
    - Modify 07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Apr 2018 13:07:11 -0400

epiphany-browser (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 12 Apr 2018 13:04:11 -0400

epiphany-browser (3.28.0.1-1ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining change:
    - Modify 07_bookmarks.patch:
      + Add Ubuntu-specific default bookmarks, borrowed from Firefox

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Mar 2018 14:55:16 -0400

epiphany-browser (3.28.0.1-1) unstable; urgency=medium

  * New upstream release
  * Drop 0005-profile-utils-Fix-off-by-two-buffer-overflow.patch: Applied
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 21 Mar 2018 14:51:55 -0400

epiphany-browser (3.27.92-1) experimental; urgency=medium

  * New upstream release candidate
  * Drop Breaks/Replaces/Conflicts not needed since Jessie
  * Update disable-tests.patch. The only remaining disabled test
    requires Internet access.
  * Cherry-pick 0005-profile-utils-Fix-off-by-two-buffer-overflow.patch:
    - Fix issue discovered by build tests

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 05 Mar 2018 13:57:33 -0500

epiphany-browser (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Update install files
  * Update configure flags
  * Update disable-tests.patch with another test that requires
    installed gsettings schemas
  * Update dependencies:
    - nettle-dev (>= 3.4)
    - libwebkit2gtk-4.0-dev >= 2.19.4)
    - meson (>= 0.42.0)
    - Drop libgnome-desktop-3-dev

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Feb 2018 15:38:36 -0500

epiphany-browser (3.26.6-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Feb 2018 15:17:58 -0500

epiphany-browser (3.26.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 27 Dec 2017 21:01:54 -0500

epiphany-browser (3.26.4-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 08:25:56 -0500

epiphany-browser (3.26.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 17 Nov 2017 17:52:20 -0500

## epiphany-browser 3.28.5

=== debian/changelog ===
epiphany-browser (3.28.5-0ubuntu1) bionic; urgency=medium

  * New bugfix version (lp: #1815602)
    - Fix CVE-2018-11396/CVE-2018-12016 (lp: #1773028)
  * debian/patches/disable-tests.patch: removed change in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 May 2019 20:10:09 +0200

## epiphany-browser 3.28.6

=== meson_options.txt ===
option('developer_mode',
  type: 'boolean',
  value: false,
  description: 'Enable developer mode'
)

option('distributor_name',
  type: 'string',
  value: 'GNOME Web',
  description: 'Distributor name displayed on process crash page'
)

option('tech_preview',
  type: 'boolean',
  value: false,
  description: 'Enable Epiphany Tech Preview branding'
)

option('unit_tests',
  type: 'boolean',
  value: true,
  description: 'Enable unit tests'
)

=== debian/changelog ===
epiphany-browser (3.28.6-0ubuntu1) bionic; urgency=medium

  * New bugfix version (lp: #1845396)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 05 Nov 2019 17:00:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: epiphany-browser
@@ -7,8 +7,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10.3~),
+Uploaders: Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
                pkg-config,
                libgdk-pixbuf2.0-dev (>= 2.36.5),
@@ -17,17 +17,16 @@
                libxml2-dev (>= 2.6.12),
                libxslt1-dev (>= 1.1.7),
                libsoup-gnome2.4-dev (>= 2.48.0),
-               libgnome-desktop-3-dev (>= 3.10),
                libgcr-3-dev (>= 3.5.5),
                libsqlite3-dev,
                libjson-glib-dev (>= 1.2.0),
-               nettle-dev (>= 3.2),
+               nettle-dev (>= 3.4),
                libnotify-dev (>= 0.5.1),
                libxml-parser-perl,
-               libwebkit2gtk-4.0-dev (>= 2.17.4),
+               libwebkit2gtk-4.0-dev (>= 2.19.4),
                libsecret-1-dev (>= 0.14),
                lsb-release,
-               meson (>= 0.37.0),
+               meson (>= 0.42.0),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.10.7-1~),
                iso-codes (>= 0.35),
@@ -37,29 +36,25 @@
                xvfb <!nocheck>,
                appstream-util
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/gnome-team/epiphany-browser/tree/ubuntu/bionic
+Vcs-Git: https://salsa.debian.org/gnome-team/epiphany-browser.git -b ubuntu/bionic
 Homepage: https://wiki.gnome.org/Apps/Web
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/epiphany-browser/
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/epiphany-browser/
 
 Package: epiphany-browser
 Architecture: any
-Depends: epiphany-browser-data (= ${source:Version}),
+Depends: epiphany-browser-data (>= ${source:Version}),
          ${shlibs:Depends},
          default-dbus-session-bus | dbus-session-bus,
          iso-codes,
          gsettings-desktop-schemas,
          ${misc:Depends}
-Conflicts: swfdec-mozilla,
-           epiphany-extensions (<< 3.7.91)
-Replaces: epiphany-browser-data (<< 3.14.1-1)
+Conflicts: swfdec-mozilla
 Recommends: yelp,
             evince,
             browser-plugin-evince,
             ca-certificates,
             libwebkit2gtk-4.0-37-gtk2
-Breaks: epiphany-browser-data (<< 3.14.1-1),
-        geoclue-2.0 (<< 2.1.9-2)
 Provides: www-browser, gnome-www-browser
 Description: Intuitive GNOME web browser
  Epiphany is a simple yet powerful GNOME web browser targeted at

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib \
		-Ddistributor_name=$(shell lsb_release -is)

override_dh_install-arch:
	dh_install -a
	cd debian/epiphany-browser/usr/bin \
		&& mv epiphany-browser.sh epiphany-browser

override_dh_install-indep:
	dh_install -i
	sed -e s/@PACKAGEVERSION@/$(DEB_VERSION)/ \
	    -e s/@DISTROID@/`lsb_release -is`/ \
	    -e s/@DISTROVERSION@/`lsb_release -rs`/ \
	    debian/branding.conf.in > debian/epiphany-browser-data/usr/share/epiphany-browser/branding.conf

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	xvfb-run dh_auto_test

## epiphany-browser 3.28.6-0ubuntu1%2B9.0trisquel1

=== debian/changelog ===
epiphany-browser (3.28.6-0ubuntu1+9.0trisquel1) etiona; urgency=medium

  * Epiphany browser compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 13 Jan 2020 11:13:47 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.10),
                pkg-config,
